Skip to main content
GET
/
api
/
v2
/
gov-ordered-documents
/
{id}
Retrieve GOV ordered document
curl --request GET \
  --url https://api.example.com/api/v2/gov-ordered-documents/{id}/ \
  --header 'Authorization: Basic <encoded-value>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "productKey": "<string>",
  "expectedDeliveryTime": "2023-11-07T05:31:56Z",
  "price": 1,
  "title": "<string>",
  "documentFormat": "<string>",
  "deliveredAt": "2023-11-07T05:31:56Z",
  "status": "NOT_ORDERED",
  "file": "<string>"
}

Authorizations

Authorization
string
header
required

The request must contain basic auth headers where username is API key and password is API secret.
In order for you to start using our API you will need an API key and API secret.
Both can be retrieved by contacting iDenfy's support or iDenfy's sales team.

Path Parameters

id
string<uuid>
required

A UUID string identifying this gov partner ordered document.

Response

200 - application/json
id
string<uuid>
required
productKey
string
required
expectedDeliveryTime
string<date-time>
required
price
number<double>
required
Required range: x >= 0
title
string | null
documentFormat
string
Maximum string length: 5
deliveredAt
string<date-time> | null
status
enum<string>
Available options:
NOT_ORDERED,
IN_PROGRESS,
FINISHED,
FAILED,
TIMED_OUT
file
string<uri> | null